package de.rmdir.ms2debounce;

import java.io.InputStream;
import java.io.OutputStream;
import java.io.File;

import android.content.Context;

public class DebounceModuleHelper
{
	private Context ctx;

	public DebounceModuleHelper(Context context) {
		ctx = context;
	}

	public void loadModule() {
		extractModule();

		try {
			Process insmod = Runtime.getRuntime().exec(new String[]{"su","-c","/system/bin/insmod /system/lib/modules/debounce.ko"});
			insmod.waitFor();
		} catch (Exception e) {}
	}

	public boolean isLoaded() {
		return false;
	}

	private synchronized void extractModule() {
		File debounce_ko = new File(ctx.getFilesDir() + "/debounce.ko");

		if (debounce_ko.exists()) {
			return;
		}

		try {
			InputStream apk = ctx.getAssets().open("debounce.ko");
			OutputStream mod = ctx.openFileOutput("debounce.ko", 0);

			apk.close();
			mod.close();
		} catch (Exception e) {}
	}
}
